Subject: bug#24889: closed (Re: bug#24889: 25.1; tramp-dissect-file-name signals a user-error for some invalid files)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Nov 2016 20:23:02 +0000

Your bug report

#24889: 25.1; tramp-dissect-file-name signals a user-error for some invalid files

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24889: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24889
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24889: 25.1; tramp-dissect-file-name signals a user-error for some invalid files
From: Michael Albinus <[email-masked]>
To: Alex <[email-masked]>
Cc: [email-masked], Thierry Volpiatto <[email-masked]>
Date: Tue, 08 Nov 2016 21:22:00 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 26.1

Alex <[email-masked]> writes:

Hi Alex,

>> I've committed the following patch to the master branch, could you pls
>> check whether this fixes the problem for you?
>
> With the latest master it seems to have fixed the problem, thanks.

Thanks for checking. I'm closing the bug.

Best regards, Michael.

Subject: 25.1; tramp-dissect-file-name signals a user-error for some invalid files
From: Alex <[email-masked]>
To: [email-masked]
Date: Sun, 06 Nov 2016 13:54:30 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

This user-error affects commands such as file-remote-p and ffap. I
believe that these should just return nil or no valid file instead of
signalling an error.

Backtrace of (file-remote-p "/uref{http://test.com}":

Debugger entered--Lisp error: (user-error "Not a Tramp file name: \"/uref{http://www.doc.ic.ac.uk/lab/cplus/c++.rules/}\"")
  signal(user-error ("Not a Tramp file name: \"/uref{http://www.doc.ic.ac.uk/lab/cplus/c++.rules/}\""))
  tramp-error(nil user-error "Not a Tramp file name: \"%s\"" "/uref{http://www.doc.ic.ac.uk/lab/cplus/c++.rules/}")
  apply(tramp-error nil user-error "Not a Tramp file name: \"%s\"" "/uref{http://www.doc.ic.ac.uk/lab/cplus/c++.rules/}")
  tramp-dissect-file-name("/uref{http://www.doc.ic.ac.uk/lab/cplus/c++.rules/}" t)
  tramp-find-foreign-file-name-handler("/uref{http://www.doc.ic.ac.uk/lab/cplus/c++.rules/}")
  tramp-file-name-handler(file-remote-p "/uref{http://www.doc.ic.ac.uk/lab/cplus/c++.rules/}" nil nil)
  file-remote-p("/uref{http://www.doc.ic.ac.uk/lab/cplus/c++.rules/}")

Note that when the point is in @uref in the following:

  @uref{http://test.com}

then in Emacs 25.1+ ffap will signal the user-error as well.